### Function Macro

# Vips MATRIX

#### Declaration [src]

    #define VIPS_MATRIX (
      I,
      X,
      Y
    )

#### Description [src]

This macro returns a pointer to a pixel in an image, cast to a double*. The image must have a single band, be `VIPS_FORMAT_DOUBLE` and be fully available in memory, so memory buffers and small mapped images only.

If `VIPS_DEBUG` is defined, you get a version that checks bounds and image type for you.

See also

`vips_image_wio_input()`, `vips_image_inplace()`, `vips_check_matrix()`.

This function is not directly available to language bindings.

#### Parameters

`I`

  Type: `-`

  A `VipsImage`.

`X`

  Type: `-`

  X coordinate.

`Y`

  Type: `-`

  Y coordinate.